# `BB.Error.Kinematics.NoDofs`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/kinematics/no_dofs.ex#L5)

Kinematic chain has no degrees of freedom.

Raised when attempting to solve inverse kinematics for a chain
that contains only fixed joints and therefore cannot be moved.

# `t`

```elixir
@type t() :: %BB.Error.Kinematics.NoDofs{
  __exception__: true,
  bread_crumbs: term(),
  chain_length: non_neg_integer() | nil,
  class: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  target_link: atom(),
  vars: term()
}
```

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.NoDofs{
  __exception__: true,
  bread_crumbs: term(),
  chain_length: term(),
  class: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  target_link: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Kinematics.NoDofs` without raising it.

## Keys

- :target_link
- :chain_length

---

*Consult [api-reference.md](api-reference.md) for complete listing*
